﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.OKB.Cockpit.Admin {
  public interface IOperatorGraphEditor {
    string PlatformName { get; }
    void Load(byte[] data);
    Control CreateAlgorithmControl();
    Control CreateProblemControl();
    byte[] GetAlgorithmData(System.Windows.Forms.Control control);
    byte[] GetProblemData(System.Windows.Forms.Control control);
  }
}
